    001/* ===========================================================
    002 * Orson Charts : a 3D chart library for the Java(tm) platform
    003 * ===========================================================
    004 *
    005 * (C)opyright 2013-2022, by David Gilbert.  All rights reserved.
    006 *
    007 * https://github.com/jfree/orson-charts
    008 *
    009 * This program is free software: you can redistribute it and/or modify
    010 * it under the terms of the GNU General Public License as published by
    011 * the Free Software Foundation, either version 3 of the License, or
    012 * (at your option) any later version.
    013 *
    014 * This program is distributed in the hope that it will be useful,
    015 * but WITHOUT ANY WARRANTY; without even the implied warranty of
    016 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    017 * GNU General Public License for more details.
    018 *
    019 * You should have received a copy of the GNU General Public License
    020 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
    021 *
    022 * [Oracle and Java are registered trademarks of Oracle and/or its affiliates.
    023 * Other names may be trademarks of their respective owners.]
    024 *
    025 * If you do not wish to be bound by the terms of the GPL, an alternative
    026 * commercial license can be purchased.  For details, please see visit the
    027 * Orson Charts home page:
    028 *
    029 * http://www.object-refinery.com/orsoncharts/index.html
    030 *
    031 */
    032
    033package org.jfree.chart3d;
    034
    035import java.util.EventObject;
    036
    037import org.jfree.chart3d.internal.Args;
    038
    039/**
    040 * An event indicating some change in the attributes of a chart.  Typically
    041 * this indicates that the chart needs to be redrawn.  Any object that
    042 * implements the {@link Chart3DChangeListener} interface can register
    043 * with a chart to receive change event notification.
    044 * <br><br>
    045 * NOTE: This class is serializable, but the serialization format is subject
    046 * to change in future releases and should not be relied upon for persisting
    047 * instances of this class.
    048 */
    049@SuppressWarnings("serial")
    050public class Chart3DChangeEvent extends EventObject {
    051
    052    /** The chart that is the source of the event. */
    053    private Chart3D chart;
    054
    055    /**
    056     * Creates a new event.
    057     *
    058     * @param chart  the chart that is the source of the event ({@code null}
    059     *     not permitted).
    060     */
    061    public Chart3DChangeEvent(Chart3D chart) {
    062        this(chart, chart);
    063    }
    064
    065    /**
    066     * Creates a new event.
    067     *
    068     * @param source  the source.
    069     * @param chart  the chart that is the source of the event ({@code null}
    070     *     not permitted).
    071     */
    072    public Chart3DChangeEvent(Object source, Chart3D chart) {
    073        super(source);
    074        Args.nullNotPermitted(chart, "chart");
    075        this.chart = chart;
    076    }
    077
    078    /**
    079     * Returns the chart that this event is associated with.
    080     *
    081     * @return The chart (never {@code null}).
    082     */
    083    public Chart3D getChart() {
    084        return this.chart;
    085    }
    086}